Execute pii-detector evaluator
curl --request POST \
--url https://api.traceloop.com/v2/evaluators/pii-detector/execute \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"text": "Please contact John Smith at john.smith@email.com or call 555-123-4567."
},
"config": {
"probability_threshold": 0.8
}
}
'import requests
url = "https://api.traceloop.com/v2/evaluators/pii-detector/execute"
payload = {
"input": { "text": "Please contact John Smith at john.smith@email.com or call 555-123-4567." },
"config": { "probability_threshold": 0.8 }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
text: 'Please contact John Smith at john.smith@email.com or call 555-123-4567.'
},
config: {probability_threshold: 0.8}
})
};
fetch('https://api.traceloop.com/v2/evaluators/pii-detector/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_pii": false
}{
"error": "error message"
}{
"error": "error message"
}Evaluators
Execute pii-detector evaluator
Detect personally identifiable information in text
Request Body:
input.text(string, required): The text to scan for personally identifiable informationconfig.probability_threshold(float, optional): Detection threshold (default: 0.8)
POST
/
v2
/
evaluators
/
pii-detector
/
execute
Execute pii-detector evaluator
Was this page helpful?
⌘I

